initInstall("Forumzilla", "/mozdev/forumzilla", "0.5.2+");

// Move components files into the application's components directory.
var componentsDir = getFolder("Components");
addFile("Feed Component", "components/Feed.js", componentsDir, "");
addFile("Feed Item Component", "components/FeedItem.js", componentsDir, "");
addFile("Feed Service Component", "components/FeedService.js", componentsDir, "");
addFile("nsIFeed Interface", "components/nsIFeed.xpt", componentsDir, "");
addFile("nsIFeedItem Interface", "components/nsIFeedItem.xpt", componentsDir, "");
addFile("nsIFeedService Interface", "components/nsIFeedService.xpt", componentsDir, "");

// Set up to where the package will be installed (currently into profile chrome).
var installDir = getFolder(getFolder("Profile", "chrome"), "forumzilla");
// XXX app chrome version: var installDir = getFolder("Chrome", "forumzilla");
setPackageFolder(installDir);

// Install the contents of the XPI's /chrome/forumzilla/ directory.
addDirectory("", "chrome/forumzilla", installDir, "");

// Register the files we've installed with the chrome registry.
// XXX If we were to install into app chrome, PROFILE_CHROME would need
// to be changed to DELAYED_CHROME.
registerChrome(CONTENT | PROFILE_CHROME, getFolder(installDir, "content"));
registerChrome(LOCALE  | PROFILE_CHROME, getFolder(installDir, "locale/en-US"));

var result = performInstall();
if ( result != SUCCESS ) cancelInstall(result);
